---
scan_result_policy:
- name: mr approval policy
  description: ''
  enabled: true
  rules:
  - type: any_merge_request
    branch_type: protected
    commits: any
  - type: scan_finding
    scanners: []
    vulnerabilities_allowed: 0
    severity_levels:
    - critical
    - high
    - medium
    vulnerability_states:
    - new_needs_triage
    - confirmed
    - detected
    branch_type: protected
    vulnerability_attributes:
      false_positive: true
  actions:
  - type: require_approval
    approvals_required: 1
    user_approvers_ids:
    - 4544240
    - 12927847
  approval_settings:
    block_branch_modification: false
    prevent_pushing_and_force_pushing: false
    prevent_approval_by_author: true
    prevent_approval_by_commit_author: true
    remove_approvals_with_new_commit: true
    require_password_to_approve: false
scan_execution_policy:
- name: test
  description: test
  enabled: true
  rules:
  - type: pipeline
    branches:
    - "*"
  actions:
  - scan: dast
    site_profile: ''
    scanner_profile: ''
  - scan: sast
